Skip to content

getReceipt

READ

Get receipt.

POST /api/v1/inventory/getReceipt
curl -X POST '<your-host>/api/v1/inventory/getReceipt' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "receiptId": "string"
  }'
Response
{
  "assignee": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "externalDocumentId": "string",
  "id": "string",
  "internalNotes": "…",
  "invoiced": true,
  "locationId": "string",
  "postedBy": "string",
  "postingDate": "string",
  "receiptId": "string",
  "sourceDocument": "Sales Invoice",
  "sourceDocumentId": "string",
  "sourceDocumentReadableId": "string",
  "status": "Pending",
  "supplierId": "string",
  "supplierInteractionId": "string",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "receiptId": {
      "type": "string"
    }
  },
  "required": [
    "receiptId"
  ]
}